Bug 5164 - find-lang --with-man неверно работает.
: find-lang --with-man неверно работает.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-09-07 12:58 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-09-07 12:58:46
1. find-lang --with-man не обрабатывает английские маны в %_man*dir, поэтому в
%files приходится их явно указывать. То есть логика работы find-lang --with-man
отлична от логики работы find-lang --with-всепрочее.

2. Не обрабатывает симлинки.
Для сборки jackit-0.98.1-alt1.1 мне пришлось написать такое:

%find_lang --with-man --output=jackd.lang \
--custom-link-script="\
s:%buildroot::
s:\(.*/share/man/\)\([a-z][^/_@]\+\)\(.*jackstart\..\)\(\.[^/]*\)\?$:%lang(\2)
\1\2\3* %attr(-,root,root):
s:^\([^%].*\)::
s:%lang(en) ::
s:^%lang(man.*) .*::" jackd jackstart

Не изящно.
------- Comment #1 From 2004-10-31 14:57:23 -------
Thanks, fixed.